Previous | Command Line Options - Reference | Next

# 11.1 Command Line Options

These are the command line options available to GQview:

Short Option | Long Option | Description
+t | --with-tools | Show file list, menu, and statusbar.
-t | --without-tools | Hide file list, menu, and statusbar. Window contains image only.
-f | --fullscreen | Start up in fullscreen.
-s | --slideshow | Start up in slideshow mode.
-l | --list | Open collection window containing images specified on the command line. Any collections on the command line will also be appended to this collection.
-r | --remote | Send command line options to existing GQview process.
-rh | --remote-help | List command line options available to --remote.
-h | --help | Display brief command line option list.
-v | --version | Display version of GQview.
| --debug | Enable Debug output to console.

Remote commands

The --remote command line option will send all entered commands to an existing GQview process, a new process will be started if one does not exist. These are the additional commands that can be used with the remote command:

Short Option | Long Option | Description
-n | --next | Change main window to display next image.
-b | --back | Change main window to display previous image.
| --first | Change main window to display first image.
| --last | Change main window to display last image.
-f | --fullscreen | Toggle full screen mode of the main window.
-fs | --fullscreen-start | Start full screen mode for main window.
-fS | --fullscreen-stop | Stop full screen mode for main window.
-s | --slideshow | Toggle slide show for main window.
-ss | --slideshow-start | Start slide show for main window.
-sS | --slideshow-stop | Stop slide show for main window.
-sr<folder> | --slideshow-recurse<folder> | Start recursive slide show for <folder> in main window.
-d<n> | --delay=<n> | Set slide show delay to <n> seconds, range is 0.1 to 3600
+t | --tools-show | Show tools for main window.
-t | --tools-hide | Hide tools for main window.
-q | --quit | Quit GQview.
| file:<filename> | Change main window to display <filename>
| view:<filename> | Open new window containing <filename>

Previous | Contents | Next
|  | GQview User Manual